package com.eactive.eai.rms.bap.manage.schedule.businessDay;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import com.eactive.eai.adapter.wca.jdbc.JDBCException;
import com.eactive.eai.rms.bap.common.base.BapBaseService;

@Service("bapBusinessDayService")
public class BapBusinessDayService extends BapBaseService {

	@Autowired
	@Qualifier("BapBusinessDayDao")
	private BapBusinessDayDao dao;

	public HashMap<String, Object> selectList(int startNum,int endNum, HashMap<String, Object> paramMap) throws Exception {
 
		// 전체 목록수 얻기
		int totalCount = dao.selectListCount(paramMap);

		paramMap.put("startNum" , startNum);// 시작 record
		paramMap.put("endNum"   , endNum);// 끝 record

		List<Map<String, Object>> list = dao.selectList(paramMap);
		HashMap<String, Object> map = new HashMap<String, Object>();

		map.put("totalCount", totalCount);
		map.put("list", list);

		return map;
	}	

	public HashMap<String, Object> selectDetail(String bJobMsgScheId) throws Exception {

		return dao.selectDetail( bJobMsgScheId );
	}	

	public void insert(HashMap<String, Object> paramMap) throws Exception {
		dao.insert(paramMap);
	}
	
	public void update(HashMap<String, Object> paramMap) throws Exception {
		dao.update(paramMap);
	}

	public void delete(HashMap<String, Object> paramMap) throws Exception {
		dao.delete(paramMap);
	}	

}